EMIRRORDIST(1)

NAME
emirrordist - a fetch tool for mirroring of package distfiles

SYNOPSIS
emirrordist [options] <action>

ACTIONS

-h, --help
    Show a help message and exit.

--version
    Display portage version and exit.

--mirror
    Mirror distfiles for the selected repository.

OPTIONS

--dry-run
    Perform a trial run with no changes made (typically combined with -v or -vv).

-v, --verbose
    Display extra information on stderr (multiple occurences increase verbosity).

--ignore-default-opts
    Do not use the EMIRRORDIST_DEFAULT_OPTS environment variable.

--distfiles=DIR
    Distfiles directory to use (required).

-j JOBS, --jobs=JOBS
    Number of concurrent jobs to run.

-l LOAD, --load-average=LOAD
    Load average limit for spawning of new concurrent jobs.

--tries=TRIES
    Maximum number of tries per file, 0 means unlimited (default is 10).

--repo=REPO
    Name of repo to operate on.

--config-root=DIR
    Location of portage config files.

--repositories-configuration=REPOSITORIES_CONFIGURATION
    Override configuration of repositories. The argument of this option has the same format as repos.conf (see portage(5)).

--strict-manifests=<y|n>
    Manually override "strict" FEATURES setting.

--failure-log=FILE
    Log file for fetch failures, with tab-delimited output, for reporting purposes. Opened in append mode.

--success-log=FILE
    Log file for fetch successes, with tab-delimited output, for reporting purposes. Opened in append mode.

--scheduled-deletion-log=FILE
    Log file for scheduled deletions, with tab-delimited output, for reporting purposes. Overwritten with each run.

--delete
    Enable deletion of unused distfiles.

--deletion-db=FILE
    Database file used to track lifetime of files scheduled for delayed deletion.

--deletion-delay=SECONDS
    Delay time for deletion of unused distfiles, measured in seconds.

--temp-dir=DIR
    Temporary directory for downloads.

--mirror-overrides=FILE
    File holding a list of mirror overrides.

--mirror-skip=MIRROR_SKIP
    Comma delimited list of mirror targets to skip when fetching.

--restrict-mirror-exemptions=RESTRICT_MIRROR_EXEMPTIONS
    Comma delimited list of mirror targets for which to ignore RESTRICT="mirror" (see ebuild(5)).

--verify-existing-digest
    Use digest as a verification of whether existing distfiles are valid.

--distfiles-local=DIR
    The distfiles-local directory to use.

--distfiles-db=FILE
    Database file used to track which ebuilds a distfile belongs to.

--recycle-dir=DIR
    Directory for extended retention of files that are removed from distdir with the --delete option. These files may be be recycled if they are needed again, instead of downloading them again.

--recycle-db=FILE
    Database file used to track lifetime of files in recycle dir.

--recycle-deletion-delay=SECONDS
    Delay time for deletion of unused files from recycle dir, measured in seconds (defaults to the equivalent of 60 days).

--fetch-log-dir=DIR
    Directory for individual fetch logs.

--whitelist-from=FILE
    Specifies a file containing a list of files to whitelist, one per line, # prefixed lines ignored. Use this option multiple times in order to specify multiple whitelists.

REPORTING BUGS
Please report bugs via https://bugs.gentoo.org/

THANKS
Special thanks to Brian Harring, author of the mirror-dist program from which emirrordist is derived.

AUTHORS
Zac Medico <zmedico@gentoo.org>
Arfrever Frehtes Taifersar Arahesis <arfrever@apache.org>

FILES

/etc/portage/make.conf
    Contains variables.

SEE ALSO
ebuild(5), egencache(1), make.conf(5), portage(5)